# Uses of Class
org.apache.lucene.index.SortedSetDocValues

Packages that use SortedSetDocValues
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of SortedSetDocValues in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return SortedSetDocValues
  Modifier and Type
  Method
  Description
  `protected static SortedSetDocValues`
  DocValuesConsumer.`getMergedSortedSetDocValues(FieldInfo mergeFieldInfo, MergeState mergeState, OrdinalMap map, List<SortedSetDocValues> toMerge)`
  Returns a sorted set doc values instance from all producers in the provided merge state.
  `abstract SortedSetDocValues`
  DocValuesProducer.`getSortedSet(FieldInfo field)`
  Returns `SortedSetDocValues` for this field.
  Methods in org.apache.lucene.codecs that return types with arguments of type SortedSetDocValues
  Modifier and Type
  Method
  Description
  `protected static List<SortedSetDocValues>`
  DocValuesConsumer.`selectLeavesToMerge(FieldInfo mergeFieldInfo, MergeState mergeState)`
  Selects the sorted set doc values to merge.
  Method parameters in org.apache.lucene.codecs with type arguments of type SortedSetDocValues
  Modifier and Type
  Method
  Description
  `protected static OrdinalMap`
  DocValuesConsumer.`createOrdinalMapForSortedSetDV(List<SortedSetDocValues> toMerge, MergeState mergeState)`
  Creates an ordinal map based on the provided sorted set doc values to merges
  `protected static SortedSetDocValues`
  DocValuesConsumer.`getMergedSortedSetDocValues(FieldInfo mergeFieldInfo, MergeState mergeState, OrdinalMap map, List<SortedSetDocValues> toMerge)`
  Returns a sorted set doc values instance from all producers in the provided merge state.

- ## Uses of SortedSetDocValues in org.apache.lucene.index

  Subclasses of SortedSetDocValues in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `class`
  `FilterSortedSetDocValues`
  Delegates all methods to a wrapped `SortedSetDocValues`.
  `static class`
  `MultiDocValues.MultiSortedSetDocValues`
  Implements MultiSortedSetDocValues over n subs, using an OrdinalMap
  Fields in org.apache.lucene.index declared as SortedSetDocValues
  Modifier and Type
  Field
  Description
  `protected final SortedSetDocValues`
  FilterSortedSetDocValues.`in`
  Wrapped values
  `final SortedSetDocValues[]`
  MultiDocValues.MultiSortedSetDocValues.`values`
  leaf values
  Methods in org.apache.lucene.index that return SortedSetDocValues
  Modifier and Type
  Method
  Description
  `static final SortedSetDocValues`
  DocValues.`emptySortedSet()`
  An empty SortedDocValues which returns `BytesRef.EMPTY_BYTES` for every document
  `static SortedSetDocValues`
  DocValues.`getSortedSet(LeafReader reader, String field)`
  Returns SortedSetDocValues for the field, or `DocValues.emptySortedSet()` if it has none.
  `SortedSetDocValues`
  EmptyDocValuesProducer.`getSortedSet(FieldInfo field)`
  `final SortedSetDocValues`
  CodecReader.`getSortedSetDocValues(String field)`
  `SortedSetDocValues`
  ExitableDirectoryReader.ExitableFilterAtomicReader.`getSortedSetDocValues(String field)`
  `SortedSetDocValues`
  FilterLeafReader.`getSortedSetDocValues(String field)`
  `abstract SortedSetDocValues`
  LeafReader.`getSortedSetDocValues(String field)`
  Returns `SortedSetDocValues` for this field, or null if no `SortedSetDocValues` were indexed for this field.
  `SortedSetDocValues`
  ParallelLeafReader.`getSortedSetDocValues(String field)`
  `static SortedSetDocValues`
  MultiDocValues.`getSortedSetValues(IndexReader r, String field)`
  Returns a SortedSetDocValues for a reader's docvalues (potentially doing extremely slow things).
  `static SortedSetDocValues`
  DocValues.`singleton(SortedDocValues dv)`
  Returns a multi-valued view over the provided SortedDocValues
  Methods in org.apache.lucene.index with parameters of type SortedSetDocValues
  Modifier and Type
  Method
  Description
  `static OrdinalMap`
  OrdinalMap.`build(IndexReader.CacheKey owner, SortedSetDocValues[] values, float acceptableOverheadRatio)`
  Create an ordinal map that uses the number of unique values of each `SortedSetDocValues` instance as a weight.
  `static SortedDocValues`
  DocValues.`unwrapSingleton(SortedSetDocValues dv)`
  Returns a single-valued view of the SortedSetDocValues, if it was previously wrapped with `DocValues.singleton(SortedDocValues)`, or null.
  Constructors in org.apache.lucene.index with parameters of type SortedSetDocValues
  Modifier
  Constructor
  Description
  ``
  `FilterSortedSetDocValues(SortedSetDocValues in)`
  Initializes delegate
  ``
  `MultiSortedSetDocValues(SortedSetDocValues[] values, int[] docStarts, OrdinalMap mapping, long totalCost)`
  Creates a new MultiSortedSetDocValues over `values`

- ## Uses of SortedSetDocValues in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type SortedSetDocValues
  Modifier and Type
  Method
  Description
  `static SortedDocValues`
  SortedSetSelector.`wrap(SortedSetDocValues sortedSet, SortedSetSelector.Type selector)`
  Wraps a multi-valued SortedSetDocValues as a single-valued view, using the specified selector